Bug 1727434 - Fedora apachectl script behaves differently than authors design it
Summary: Fedora apachectl script behaves differently than authors design it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Luboš Uhliarik ✈
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-06 08:31 UTC by Frantisek Hanzlik
Modified: 2019-09-30 01:39 UTC (History)
5 users (show)

Fixed In Version: httpd-2.4.39-10.fc31 httpd-2.4.41-1.fc30 httpd-2.4.41-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 01:27:10 UTC


Attachments (Terms of Use)

Description Frantisek Hanzlik 2019-07-06 08:31:08 UTC
Description of problem:
Original apachectl script from Apache httpd in pass-through mode send input commands to httpd binary. Malformed script from Fedora block this pass-through
mode - which prevents the functionality of programs that rely on this functionality.

(in my case this prevents to install Kaspersky for Linux Mail Server web UI, where its installer need output from "apachectl -V". But such programs can be more.)

Version-Release number of selected component (if applicable):
httpd-2.4.39-4.fc30

How reproducible:
Run 'apachectl -V' with original and then Fedora provided apachectl script.

Actual results:
# apachectl -V
apachectl: The "-V" option is not supported.

Expected results:
# apachectl -V
Server version: Apache/2.4.39 (Fedora)
Server built:   May  2 2019 14:50:28
Server's Module Magic Number: 20120211:84
Server loaded:  APR 1.6.5, APR-UTIL 1.6.1
Compiled using: APR 1.6.5, APR-UTIL 1.6.1
Architecture:   64-bit
Server MPM:     event
  threaded:     yes (fixed thread count)
    forked:     yes (variable process count)
Server compiled with....
 -D APR_HAS_SENDFILE
 -D APR_HAS_MMAP
 -D APR_HAVE_IPV6 (IPv4-mapped addresses enabled)
 -D APR_USE_SYSVSEM_SERIALIZE
 -D APR_USE_PTHREAD_SERIALIZE
 -D SINGLE_LISTEN_UNSERIALIZED_ACCEPT
 -D APR_HAS_OTHER_CHILD
 -D AP_HAVE_RELIABLE_PIPED_LOGS
 -D DYNAMIC_MODULE_LIMIT=256
 -D HTTPD_ROOT="/etc/httpd"
 -D SUEXEC_BIN="/usr/sbin/suexec"
 -D DEFAULT_PIDLOG="run/httpd.pid"
 -D DEFAULT_SCOREBOARD="logs/apache_runtime_status"
 -D DEFAULT_ERRORLOG="logs/error_log"
 -D AP_TYPES_CONFIG_FILE="conf/mime.types"
 -D SERVER_CONFIG_FILE="conf/httpd.conf"


Additional info:
I wish Fedora finally had a different or alternative init instead/to actual misconcepted and buggy holy cow.  Then there would be no such mistakes.

Comment 1 Joe Orton 2019-07-08 08:39:39 UTC
Package: httpd-2.4.39-10.fc31

Comment 2 Fedora Update System 2019-08-21 06:21:58 UTC
FEDORA-2019-e00c65ec6f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 3 Fedora Update System 2019-08-21 06:24:56 UTC
FEDORA-2019-099575a123 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-099575a123

Comment 4 Fedora Update System 2019-08-23 01:27:10 UTC
httpd-2.4.41-1.fc30, mod_md-2.0.8-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2019-08-29 14:56:25 UTC
FEDORA-2019-e00c65ec6f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 6 Fedora Update System 2019-08-30 00:24:47 UTC
httpd-2.4.41-1.fc29, mod_md-2.0.8-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 7 Fedora Update System 2019-08-30 07:29:44 UTC
FEDORA-2019-e00c65ec6f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 8 Fedora Update System 2019-08-30 15:40:56 UTC
httpd-2.4.41-1.fc29, mod_md-2.0.8-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e00c65ec6f

Comment 9 Fedora Update System 2019-09-30 01:39:03 UTC
httpd-2.4.41-1.fc29, mod_md-2.0.8-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.